On this page
No Headings
send_to_recipient parameter to false in the notification object. The send_to_recipient parameter does not apply to a future issue date because the invoice is scheduled to be sent through PayPal on that date.Notes:
- After you send an invoice, resending it has no effect.
- To send a notification for updates, update the invoice and set the
send_to_recipientbody parameter totrue.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwriteThe ID of the draft invoice to delete.
^.*$0 <= length <= 2147483647application/json
The email or SMS notification to send to the payer when they send an invoice..
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v2/invoicing/invoices/string/send" \ -H "Content-Type: application/json" \ -d '{}'{
"href": "string",
"rel": "string",
"method": "GET"
}{
"href": "string",
"rel": "string",
"method": "GET"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}The subject of the email that is sent as a notification to the recipient.Note: User-provided values for this field will not be honored and the subject will always be defaulted to a system-defined value.
^[\S\s]*$0 <= length <= 4000A note to the payer.Note: User-provided values for this field will not be honored and the note will always be defaulted to a system-defined value.
^[\S\s]*$0 <= length <= 4000Indicates whether to send a copy of the email to the merchant.
falseIndicates whether to send a copy of the email to the recipient.
trueAn array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
0 <= items <= 100